%define	name            netcomponents
%define	Name            NetComponents
%define	version         1.3.8
%define	release         2jpp
%define	javadir         %{_datadir}/java
%define	javadocdir      %{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Internet protocol suite Java library
License:	LGPL
Group:		System/Libraries
Source:		%{Name}-%{version}-src.tar.gz
Url:		http://www.savarese.org/java
BuildRequires:	ant
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
NetComponents, is an Internet protocol suite Java library originally 
developed by ORO, Inc.  This version supports Finger, Whois, TFTP,
Telnet, POP3, FTP, NNTP, SMTP, and some miscellaneous protocols like
Time and Echo as well as BSD R command support.  The purpose of the
library is to provide fundamental protocol access, not higher-level
abstractions.  Therefore, some of the design violates object-oriented
design principles.  Our philosophy is to make the global functionality
of a protocal accesible (e.g., TFTP send file and receive file) when
possible, but also provide access to the fundamental protocols where
applicable so that the programmer may construct his own custom
implementations (e.g, the TFTP packet classes and the TFTP packet
send and receive methods are exposed).

%package javadoc
Summary:	Javadoc for %{name}
Group:		Documentation/Development

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{Name}-%{version}

%build
ant jar
ant javadocs

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{Name}-%{version}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README COPYRIGHT LICENSE
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Tue Apr 30 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.8-2jpp 
- first *real* jpp release
- group tag
- distribution tag

* Tue Feb 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.8-1jpp 
- first jpp release
